package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;

/**
 * @Description: 基础学生数据导入类
 * @Author: CaoZixuan
 * @Date: 2021-08-05
 */
public class BasicStudentImportDto {
    @ExcelNote(value = "姓名")
    @NotNull
    private String studentName;

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ExcelNote(value = "手机号")
    private String phoneNumber;

    @ExcelNote(value = "班级")
    @NotNull
    private String clazz;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }
}
